"use strict";

var _date = require("../../modules/date-time/date");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

describe("isValidDate", function () {
  test("handles undefined argument", function () {
    expect((0, _date.isValidDate)(undefined)).toBe(false);
  });
  test("returns false for invalid date", function () {
    var invalidArgs = [3, "t", [], {}, function () {
      return null;
    }, null, Symbol("t")];

    for (var invalid in invalidArgs) {
      expect((0, _date.isValidDate)(invalid)).toBe(false);
    }
  });
  test("returns true for valid date", function () {
    var date = new Date();
    expect((0, _date.isValidDate)(date)).toBe(true);
  });
});
describe("isValidDateTimeStr", function () {
  test("handles undefined argument", function () {
    expect((0, _date.isValidDateTimeStr)(undefined)).toBe(false);
  });
  test("returns false for invalid string", function () {
    expect((0, _date.isValidDateTimeStr)("NotADate")).toBe(false);
  });
  test("returns true for valid string", function () {
    var validStrings = ["2018-12-30", "2018-12-30T20:59", "2018-12-30T20:59:00", "2018-12-30T20:59:00.000Z", "2018-12-30T20:59:00.000+01:00", "2018-12-30T20:59:00.000-01:00"];

    for (var valid in validStrings) {
      expect((0, _date.isValidDateTimeStr)(valid)).toBe(true);
    }
  });
});
test("utcDate returns expected date", function () {
  var source = {
    Y: true,
    m: true,
    d: true,
    H: true,
    i: true,
    s: true,
    date: null
  };
  var args = [[new Date(2000, 0, 1, 1, 1), "2000-01-01 01:01:00"], [new Date(2000, 0, 1, 12), "2000-01-01 12:00:00"]];

  for (var _i = 0, _args = args; _i < _args.length; _i++) {
    var _args$_i = _slicedToArray(_args[_i], 2),
        date = _args$_i[0],
        expected = _args$_i[1];

    source.date = date;
    expect((0, _date.utcDate)(source)).toBe(expected);
  }
});
//# sourceMappingURL=date.test.js.map