"use strict";

var _bitwise = require("../../modules/maths/bitwise");

var _CTypeError = _interopRequireDefault(require("../../modules/errors/CTypeError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

describe("turnNthBitOff", function () {
  test("throws CTypeError with invalid args", function () {
    var invalidArgs = [[null, null], ["invalid", "invalid"], [[], []], [{}, {}], [{}, {
      coords: {}
    }]];

    var _loop = function _loop(_ref3) {
      _ref2 = _slicedToArray(_ref3, 2);
      var arg1 = _ref2[0];
      var arg2 = _ref2[1];
      expect(function () {
        return (0, _bitwise.turnNthBitOff)(arg1, arg2);
      }).toThrowError(_CTypeError["default"]);
    };

    for (var _ref3 in invalidArgs) {
      var _ref2;

      _loop(_ref3);
    }
  });
  test("returns expect value", function () {
    expect((0, _bitwise.turnNthBitOff)(3, 1)).toBe(2);
  });
});
describe("turnNthBitOn", function () {
  test("throws CTypeError with invalid args", function () {
    var invalidArgs = [[null, null], ["invalid", "invalid"], [[], []], [{}, {}], [{}, {
      coords: {}
    }]];

    var _loop2 = function _loop2(_ref6) {
      _ref5 = _slicedToArray(_ref6, 2);
      var arg1 = _ref5[0];
      var arg2 = _ref5[1];
      expect(function () {
        return (0, _bitwise.turnNthBitOn)(arg1, arg2);
      }).toThrowError(_CTypeError["default"]);
    };

    for (var _ref6 in invalidArgs) {
      var _ref5;

      _loop2(_ref6);
    }
  });
  test("returns expect value", function () {
    expect((0, _bitwise.turnNthBitOn)(4, 1)).toBe(5);
  });
});
describe("toggleNthBit", function () {
  test("throws CTypeError with invalid args", function () {
    var invalidArgs = [[null, null], ["invalid", "invalid"], [[], []], [{}, {}], [{}, {
      coords: {}
    }]];

    var _loop3 = function _loop3(_ref9) {
      _ref8 = _slicedToArray(_ref9, 2);
      var arg1 = _ref8[0];
      var arg2 = _ref8[1];
      expect(function () {
        return (0, _bitwise.toggleNthBit)(arg1, arg2);
      }).toThrowError(_CTypeError["default"]);
    };

    for (var _ref9 in invalidArgs) {
      var _ref8;

      _loop3(_ref9);
    }
  });
  test("returns expect value", function () {
    expect((0, _bitwise.toggleNthBit)(4, 1)).toBe(5);
  });
});
describe("checkNthBitOn", function () {
  test("throws CTypeError with invalid args", function () {
    var invalidArgs = [[null, null], ["invalid", "invalid"], [[], []], [{}, {}], [{}, {
      coords: {}
    }]];

    var _loop4 = function _loop4(_ref12) {
      _ref11 = _slicedToArray(_ref12, 2);
      var arg1 = _ref11[0];
      var arg2 = _ref11[1];
      expect(function () {
        return (0, _bitwise.checkNthBitOn)(arg1, arg2);
      }).toThrowError(_CTypeError["default"]);
    };

    for (var _ref12 in invalidArgs) {
      var _ref11;

      _loop4(_ref12);
    }
  });
  test("returns expect value", function () {
    expect((0, _bitwise.checkNthBitOn)(4, 2)).toBe(0);
  });
});
//# sourceMappingURL=bitwise.test.js.map