"use strict";

var _iterators = require("../../modules/misc/iterators");

test("xRange to yield a range of numbers", function () {
  var generator = (0, _iterators.generateRange)(0, 5);

  for (var i = 0; i < 5; i++) {
    expect(generator.next()).toStrictEqual({
      done: false,
      value: i
    });
  }

  expect(generator.next()).toStrictEqual({
    done: true,
    value: 5
  });
});
test("mapYield to yield mapped items", function () {
  var source = [1, 2, 3];
  var res = 1;

  var func = function func(val, i, items) {
    return res + val;
  };

  var generator = (0, _iterators.mapYield)(source, func);
  expect(generator.next()).toStrictEqual({
    done: false,
    value: 2
  });
  expect(generator.next()).toStrictEqual({
    done: false,
    value: 3
  });
  expect(generator.next()).toStrictEqual({
    done: false,
    value: 4
  });
  expect(generator.next()).toStrictEqual({
    done: true,
    value: undefined
  });
});
//# sourceMappingURL=iterators.test.js.map