"use strict";

var _uuid = require("../../modules/misc/uuid");

test("uuid generates string in expected format", function () {
  var expected = /([A-Z]|[a-z]|[0-9]){8}(-([A-Z]|[a-z]|[0-9]){4}){3}-([A-Z]|[a-z]|[0-9]){12}/;

  for (var i = 0; i < 10; i++) {
    expect(expected.test((0, _uuid.uuid)())).toBe(true);
  }
});
test("NonCanonicalUUID generates string in expected format", function () {
  var expected = /([A-Z]|[a-z]|[0-9]){8}(-([A-Z]|[a-z]|[0-9]){4}){3}-([A-Z]|[a-z]|[0-9]){12}-(\d){1,}/;
  var idGenerator = new _uuid.NonCanonicalUUID();

  for (var i = 0; i < 10; i++) {
    expect(expected.test(idGenerator.generate())).toBe(true);
  }
});
test("uniqueId generates string in expected format", function () {
  var expected = "TEST";

  for (var i = 0; i < 10; i++) {
    expect((0, _uuid.uniqueId)("TEST")).toBe(expected + (i + 1));
  }
});
//# sourceMappingURL=uuid.test.js.map