"use strict";

var _declarativeFactory = _interopRequireDefault(require("../../modules/object-handling/declarative-factory"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe("declarativeFactory", function () {
  test("returns a factory if func condition is met", function () {
    var factory = new _declarativeFactory["default"]([[function () {
      return true;
    }, function () {
      return true;
    }]]);
    expect(factory()).toBe(true);
  });
  test("returns default if func condition is not met", function () {
    var factory = new _declarativeFactory["default"]([[function () {
      return false;
    }, function () {
      return true;
    }], function () {
      return 5;
    }]);
    expect(factory()).toBe(5);
  });
});
//# sourceMappingURL=declarative-factory.test.js.map