"use strict";

var _immutability = require("../../modules/object-handling/immutability");

test("deepFreeze throws error on property access", function () {
  var source = {
    a: {
      b: 1,
      c: 2
    },
    d: 3
  };
  var frozen = (0, _immutability.deepFreeze)(source);
  expect(function () {
    return frozen.a.b = 3;
  }).toThrowError(TypeError);
  expect(function () {
    return frozen.a.c = 3;
  }).toThrowError(TypeError);
  expect(function () {
    return frozen.d = 4;
  }).toThrowError(TypeError);
});
//# sourceMappingURL=immutability.test.js.map